<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('tbl_driver', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->bigInteger('idcompany')->unsigned();
            $table->char('status', 1)->default(1);

            $table->foreign('idcompany')->references('id')->on('tbl_company');

        });
    }

    public function down(): void
    {
        Schema::dropIfExists('tbl_driver');
    }
};
