<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('tbl_relation_tickets', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('idticket_parent')->unsigned();
            $table->bigInteger('idticket_child')->unsigned();
            $table->char('status', 1)->default(1)->comment('0: Inactivo, 1:Activo, 2:Eliminado');
            $table->timestamps();

            $table->foreign('idticket_parent')->references('id')->on('tbl_ticket');
            $table->foreign('idticket_child')->references('id')->on('tbl_ticket');
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('tbl_relation_tickets');
    }
};
